Bug 118000 - mkinitrd and sata_via problem when upgrading to 2.6.3
Summary: mkinitrd and sata_via problem when upgrading to 2.6.3
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: 1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-10 22:24 UTC by Piotrek
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-15 03:09:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Piotrek 2004-03-10 22:24:53 UTC
When upgrading from standard Fedora Core 1 for AMD64 to kernel 2.6.3 
on machine with via 8237 chipset (sata) 'make install' says:
sh /usr/src/linux-2.6.3/arch/x86_64/boot/install.sh 2.6.3 
arch/x86_64/boot/bzImage System.map ""
No module sata_via found for kernel 2.6.3, aborting.
mkinitrd failed
make[1]: *** [install] Error 1
make: *** [install] Error 2
No mather if the module is compiled into the kernel. 

Adding sata_via module to PRESCSIMODS in mkinitrd script solved the 
problem:
PRESCSIMODS="scsi_mod sd_mod unknown sata_via"

Comment 1 Jeremy Katz 2004-03-10 22:53:28 UTC
Did you build sata_via as a module?

Comment 2 Piotrek 2004-03-10 23:11:23 UTC
No, i tried to build it into the kernel, so it was really strange 
that mkinitrd was looking for a module. The same thing happend with 
raid0 (also build into the kernel). After adding this 2 modules to 
PRESCSIMODS in mkinitrd i managed to build and install everything (of 
course raid0 and sata_via where compiled into the kernel) and it 
works fine. 

Comment 3 Jeremy Katz 2004-04-15 03:09:20 UTC
mkinitrd assumes that all of the modules in /etc/mod{ules,probe}.conf
are built as a module for your kernel.  If you're not doing this, then
--omit-scsi-mods is the workaround to use.


Note You need to log in before you can comment on or make changes to this bug.